tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubModule.SubscriptionFilterExtension

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubModule.SubscriptionFilterExtension

- Enclosing class:
    PubSubModule

      public static class PubSubModule.SubscriptionFilterExtension
      extends Object

  Class with definitions of filters for retrieving subscriptions. It is for extension `tigase:pubsub:1`. It allows to filter returned subscription list for example by domain.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionFilterExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getJidContains()`
    `void` | `setJidContains(String jidContains)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriptionFilterExtension

          public SubscriptionFilterExtension()

  - ### Method Detail

    - #### getJidContains

          public String getJidContains()

    - #### setJidContains

          public void setJidContains(String jidContains)

Copyright © 2006–2020 Tigase. All rights reserved.